## org.eclipse.amp.amf.abase
Class InterpreterProvider

    java.lang.Object
      org.eclipse.amp.amf.abase.InterpreterProvider

All Implemented Interfaces:
  IInterpreterProvider

Direct Known Subclasses:
  InterpreterPool

    public class InterpreterProvider

extends java.lang.Object
implements IInterpreterProvider

Author:
  mparker

Constructor Summary
`InterpreterProvider(IInterpreterFactory factory)`
`InterpreterProvider(IInterpreterFactory factory, org.eclipse.emf.ecore.resource.ResourceSet resourceSet)`

Method Summary
`IInterpreterFactory` `getFactory()`
`java.lang.Object` `getInterpreter(org.eclipse.core.resources.IResource aparFileResource)`
`java.lang.Object` `getInterpreter(org.eclipse.emf.ecore.resource.Resource resource)`
`java.lang.Object` `getInterpreter(org.eclipse.emf.common.util.URI uri)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InterpreterProvider

    public InterpreterProvider(IInterpreterFactory factory,
                               org.eclipse.emf.ecore.resource.ResourceSet resourceSet)

### InterpreterProvider

    public InterpreterProvider(IInterpreterFactory factory)

Method Detail

### getInterpreter

    public java.lang.Object getInterpreter(org.eclipse.emf.common.util.URI uri)

  Specified by:
    `getInterpreter` in interface `IInterpreterProvider`
  Parameters:
    `uri` -
  Returns:
  See Also:
    `org.eclipse.amp.amf.abase.xtext.IInterpreterProvider#getInterpreter(org.eclipse.emf.common.util.URI)`

### getInterpreter

    public java.lang.Object getInterpreter(org.eclipse.core.resources.IResource aparFileResource)

  Specified by:
    `getInterpreter` in interface `IInterpreterProvider`

### getInterpreter

    public java.lang.Object getInterpreter(org.eclipse.emf.ecore.resource.Resource resource)

  Specified by:
    `getInterpreter` in interface `IInterpreterProvider`

### getFactory

    public IInterpreterFactory getFactory()